### Hierarchy

- GameRunner

## Index

### Constructors

- constructor

### Properties

- game
- gameSocket
- pubsub

### Methods

- onFinish
- onGameEnd
- onGameToPlayer
- onGameToServer
- onPlayerToGame
- onUpdate
- sendToGame
- start

## Constructors

### constructor

- new GameRunner(options: GameRunnerOptions): GameRunner

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:19

  #### Parameters

  - ##### options: GameRunnerOptions

  #### Returns GameRunner

## Properties

### game

game: Game

- Defined in src/lobby/tournament/match/game/GameRunner.ts:17

### gameSocket

gameSocket: any

- Defined in src/lobby/tournament/match/game/GameRunner.ts:18

### pubsub

pubsub: PubSub

- Defined in src/lobby/tournament/match/game/GameRunner.ts:19

## Methods

### Private onFinish

- onFinish(data: GameEndPayload): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:81

  #### Parameters

  - ##### data: GameEndPayload

  #### Returns void

### onGameEnd

- onGameEnd(): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:77

  #### Returns void

### Private onGameToPlayer

- onGameToPlayer(player: Player, data: any): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:120

  #### Parameters

  - ##### player: Player

  - ##### data: any

  #### Returns void

### Private onGameToServer

- onGameToServer(data: GameMessage): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:95

  #### Parameters

  - ##### data: GameMessage

  #### Returns void

### Private onPlayerToGame

- onPlayerToGame(data: any): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:108

  #### Parameters

  - ##### data: any

  #### Returns void

### Private onUpdate

- onUpdate(data: GameUpdatePayload): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:91

  #### Parameters

  - ##### data: GameUpdatePayload

  #### Returns void

### Private sendToGame

- sendToGame(data: any): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:124

  #### Parameters

  - ##### data: any

  #### Returns void

### start

- start(): void

- - Defined in src/lobby/tournament/match/game/GameRunner.ts:68

  Play an individual game between two players

  #### Returns void

Generated using TypeDoc